%% funkce k vytvoření průměrného signálu ze zvolených částí
function[matA]=suma(pozice_hvezdicek, pozice_hvezdicek_cas,eeg_signal)
% do funkce vstupují pozice hvězdiček jak v čase tak ve vzorcích a nahraný
% eeg signál. Výstupem funkce ja matA, kde jsou uloženy všechny vybrané
% úseky z eeg signálu 150 vzorků od kliknutí do leva a 349 vzorků od kliknutí do prava 
matA=zeros(length(pozice_hvezdicek),500);
for i=1:length(pozice_hvezdicek_cas)
    matA(i,:)=eeg_signal((pozice_hvezdicek_cas(i)-150):(pozice_hvezdicek_cas(i)+349));
    
end
figure;
cas_vysl=-.15:.001:0.349;
plot(cas_vysl,matA','b');hold on;plot(cas_vysl,mean(matA),'r','LineWidth',3)
xlim([-0.15 inf])
title 'výsledný graf vybraných vln'
ax = gca;
ax.FontSize = 20;
xlabel 'čas [s]'
ylabel 'U [V]'


end